# -*- coding: utf-8 -*-
# Generated by Django 1.11.10 on 2019-10-28 17:27
from __future__ import unicode_literals

from django.conf import settings
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion
import imagekit.models.fields
import jsoneditor.fields.django_jsonfield
import reports.models


class Migration(migrations.Migration):

    initial = True

    operations = [
        migrations.CreateModel(
            name='LeasePhoto',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('image', imagekit.models.fields.ProcessedImageField(blank=True, null=True,
                                                                     upload_to=reports.models.upload_auto, verbose_name='Фото (несколько)')),
                ('from_inspection', models.BooleanField(
                    default=False, verbose_name='со сдачи')),
            ],
            options={
                'verbose_name_plural': 'Фото со сдачи',
                'verbose_name': 'Фото со сдачи',
            },
        ),
        migrations.CreateModel(
            name='ReportsDamage',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, default=None,
                                           max_length=255, verbose_name='Название')),
                ('slug', models.CharField(blank=True, default=None,
                                          max_length=255, verbose_name='Обозначение')),
                ('default_val', models.TextField(blank=True, default=None,
                                                 null=True, verbose_name='Значение по умолчанию')),
                ('type', models.CharField(blank=True, default='',
                                          max_length=255, verbose_name='Тип')),
                ('block', models.CharField(blank=True, default='',
                                           max_length=255, verbose_name='Отнести к блоку')),
                ('parent_id', models.PositiveIntegerField(
                    blank=True, default=0, verbose_name='Относится к пункту')),
                ('position', models.PositiveIntegerField(
                    blank=True, default=None, verbose_name='Поззиция')),
            ],
        ),
        migrations.CreateModel(
            name='ReportsDamagePivot',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('damage_id', models.PositiveIntegerField(
                    default=None, verbose_name='ID Повреждения')),
                ('report_id', models.PositiveIntegerField(
                    default=None, verbose_name='ID Отчета')),
                ('val', models.TextField(blank=True, default=None,
                                         null=True, verbose_name='Значение')),
                ('comment', models.TextField(blank=True, default=None,
                                             null=True, verbose_name='Комментарий')),
            ],
        ),
        migrations.CreateModel(
            name='ReportsPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('photo_type', models.PositiveSmallIntegerField(blank=True, choices=[(0, 'С места осмотра'), (1, 'Cо сдачи'), (2, 'ГИБДД'), (3, 'ФССП'), (4, 'C реестра залогов'), (5, 'Автокод'), (6, 'Доп. сервисы'), (
                    7, 'VIN код на кузове/раме №1'), (8, 'VIN код на кузове/раме №2'), (9, 'VIN код на кузове/раме №3'), (10, 'VIN код на табличке'), (11, 'VIN код под лобовым стеклом'), (12, 'Номер двигателя')], default=0, verbose_name='Тип')),
                ('embed_url', models.URLField(default='',
                                              max_length=255, verbose_name='embed url')),
                ('image', imagekit.models.fields.ProcessedImageField(blank=True, max_length=250,
                                                                     null=True, upload_to=reports.models.upload_auto, verbose_name='Фото (несколько)')),
                ('from_inspection', models.BooleanField(
                    default=False, verbose_name='С места осмотра')),
            ],
            options={
                'verbose_name_plural': 'Фото отчетов',
                'verbose_name': 'Фото отчета',
            },
        ),
        migrations.CreateModel(
            name='ReportsPodbor',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('deleted', models.DateTimeField(editable=False, null=True)),
                ('created', models.DateTimeField(auto_now_add=True,
                                                 db_index=True, verbose_name='Дата создания')),
                ('modified', models.DateTimeField(
                    auto_now=True, verbose_name='Последнее изменение')),
                ('vin', models.CharField(blank=True, db_index=True,
                                         default=None, max_length=17, null=True, verbose_name='VIN')),
                ('links', models.CharField(blank=True, default='',
                                           max_length=1000, null=True, verbose_name='Ссылки на объявления')),
                ('mileage', models.PositiveIntegerField(blank=True,
                                                        default=None, null=True, verbose_name='Пробег')),
                ('cost_before', models.PositiveIntegerField(blank=True,
                                                            default=None, null=True, verbose_name='Стоимость до торга')),
                ('cost_after', models.PositiveIntegerField(
                    blank=True, default=None, null=True, verbose_name='Стоимость после торга')),
                ('cost_estimated', models.PositiveIntegerField(blank=True,
                                                               default=None, null=True, verbose_name='Оценочная стоимость')),
                ('number_of_hosts', models.IntegerField(blank=True, choices=[(0, 'любое'), (1, '1'), (
                    2, '2'), (3, '3'), (4, 'более трех')], default=0, verbose_name='Количество по ПТС')),
                ('report_type', models.PositiveSmallIntegerField(blank=True, choices=[
                 (0, 'Подбор'), (1, 'Перепроверка'), (2, 'Сдача')], default=0, verbose_name='Тип')),
                ('status', models.PositiveSmallIntegerField(blank=True, choices=[
                 (0, 'в работе'), (1, 'ожидает проверки'), (2, 'проверен')], default=0, verbose_name='Статус')),
                ('data', django.contrib.postgres.fields.jsonb.JSONField(
                    blank=True, default=dict, verbose_name='Данные')),
                ('category', models.IntegerField(blank=True,
                                                 default=None, null=True, verbose_name='Категория авто')),
                ('comment_expert', models.TextField(blank=True,
                                                    default='', verbose_name='Комментарий эксперта')),
                ('comment_manager', models.TextField(blank=True,
                                                     default='', verbose_name='Комментарий руководителя')),
                ('result_expert', models.TextField(blank=True,
                                                   default='', verbose_name='Вывод эксперта')),
                ('pluses', models.TextField(
                    blank=True, default='', verbose_name='Плюсы')),
                ('minuses', models.TextField(
                    blank=True, default='', verbose_name='Минусы')),
                ('recommended', models.NullBooleanField(
                    verbose_name='Рекомендован')),
                ('published', models.NullBooleanField(verbose_name='Опубликован')),
                ('lk_id', models.PositiveIntegerField(blank=True,
                                                      default=None, null=True, verbose_name='Id со старого лк')),
                ('auto', models.ForeignKey(blank=True, null=True,
                                           on_delete=django.db.models.deletion.CASCADE, to='auto.Auto', verbose_name='Авто')),
                ('executor', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE,
                                               to=settings.AUTH_USER_MODEL, verbose_name='Исполнитель')),
            ],
            options={
                'verbose_name_plural': 'отчеты',
                'verbose_name': 'отчет',
                'ordering': ['-created'],
            },
        ),
        migrations.CreateModel(
            name='ReportsSteps',
            fields=[
                ('id', models.AutoField(auto_created=True,
                                        primary_key=True, serialize=False, verbose_name='ID')),
                ('data', jsoneditor.fields.django_jsonfield.JSONField(
                    blank=True, null=True, verbose_name='шаги')),
            ],
            options={
                'verbose_name_plural': 'Шаги отчета',
                'verbose_name': 'Шаги отчета',
            },
        ),
        migrations.AddField(
            model_name='reportsphoto',
            name='report_podbor',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='photos_auto', to='reports.ReportsPodbor', verbose_name='Отчёт'),
        ),
        migrations.AddField(
            model_name='leasephoto',
            name='lease_podbor',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE,
                                    related_name='surrphotos_auto', to='reports.ReportsPodbor', verbose_name='Отчёт со сдачи'),
        ),
    ]
